Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002889Dwarf FortressCreaturespublic2010-07-29 11:432016-05-22 14:17
ReporterDucky 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
PlatformOSOS Version
Product Version0.31.12 
Target VersionFixed in Version 
Summary0002889: Hydras can be strangled to death by one person
DescriptionA hydra will eventually die of suffocation if one of its throats is strangled, even if the rest are left alone.
Steps To ReproduceThe fastest way is to put a hydra and a bronze colossus in the arena, and take control of the colossus.
TagsIntentional/Expected?
Attached Files

- Relationships
related to 0000449resolvedToady One Strangling/strangulation doesn't kill people who are already unconscious for other reasons 

-  Notes
(0011356)
toybasher (reporter)
2010-08-01 11:26

Could be intentional, as in with a hydra one head chopped off is instant death, same with one brain destroyed.


I can see strangling killing one of its "brains" thus killing the entire creature (one head lopped off kills it instantly, so,yea.)
(0011401)
Ducky (reporter)
2010-08-02 08:20
edited on: 2010-08-02 08:26

Hydras dying from losing one head was supposed to have been fixed in 31.01. If they're still doing that, there's a problem.

I just tested, and they're not still doing that, so at least that part's fine. They will lose enough blood to make them Pale, which may or may not be intended behavior.

(0025734)
Trif (reporter)
2014-07-11 04:42

Still happens in 0.40.02. I tested it in the arena with a Bronze Colossus; the Hydra suffocated after strangling its throat on the third neck 371 times.
(0035270)
Max_TM (reporter)
2016-05-22 14:17

Figured I'd go ahead and point out that while they don't die from losing heads (I had just previously lopped the heads off of another with an axe) but my idea to use the second hydra in this lair for wrestling skillups was rather quickly cut short.

Never tried to strangle one, seemed like it would be absurd to even try, but autoattack > close combat mode for skillups killed it pretty quick in 43.02.

http://i.imgur.com/nWVsX3j.png [^]

They are modded but that is only improved material properties to give tougher bones/scales, so yeah, I was gonna report it but figured I'd check and see if it existed first.

- Issue History
Date Modified Username Field Change
2010-07-29 11:43 Ducky New Issue
2010-08-01 11:25 toybasher Tag Attached: Intentional/Expected?
2010-08-01 11:26 toybasher Note Added: 0011356
2010-08-02 08:20 Ducky Note Added: 0011401
2010-08-02 08:26 Ducky Note Edited: 0011401 View Revisions
2010-08-04 14:51 Khym Chanur Issue Monitored: Khym Chanur
2014-01-27 20:43 Footkerchief Tag Attached: Fixed in 0.34.12?
2014-01-27 20:44 Footkerchief Relationship added related to 0003426
2014-07-07 22:23 Footkerchief Tag Renamed Fixed in 0.34.12? => Fixed in 0.40.01?
2014-07-11 04:42 Trif Note Added: 0025734
2014-07-11 04:44 Knight Otu Tag Detached: Fixed in 0.40.01?
2014-07-11 09:31 Footkerchief Relationship added related to 0000449
2014-07-11 09:31 Footkerchief Relationship deleted related to 0003426
2016-05-22 14:17 Max_TM Note Added: 0035270


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker